Bug 36787 - org.apache.log4j.lf5.util.DateFormatManager.setTimeZone assignment error
org.apache.log4j.lf5.util.DateFormatManager.setTimeZone assignment error
Status: RESOLVED FIXED
Product: Log4j
Classification: Unclassified
Component: Other
1.2
Other other
: P2 normal
: ---
Assigned To: log4j-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-09-23 20:49 UTC by Curtis Light
Modified: 2007-05-18 07:20 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Curtis Light 2005-09-23 20:49:21 UTC
The assignment has no effect.

Change: 
  public synchronized void setTimeZone(TimeZone timeZone) {
    timeZone = timeZone;
    configure();
  }

To:
   public synchronized void setTimeZone(TimeZone timeZone) {
    this._timeZone = timeZone;
    configure();
  }

In version 1.2.12
Comment 1 Curt Arnold 2006-08-01 20:03:27 UTC
Fixed in rev 427704.
Comment 2 pranay 2007-05-18 07:20:53 UTC
dsf